<!-- Based on fast/repaint/erase-overflow.html -->
<html>
<head>
    <title>Test for http://bugs.webkit.org/show_bug.cgi?id=11935</title>
    <style type="text/css">
        div.square { width: 100px; height: 100px; }
    </style>
    <script type="text/javascript" src="resources/paint-invalidation-test.js"></script>
    <script type="text/javascript">
        window.expectedPaintInvalidationObjects = [
            "LayoutBlockFlow DIV id='target' class='square'",
            "LayoutBlockFlow DIV class='square'",
        ];
        function paintInvalidationTest()
        {
            document.getElementById("target").style.overflow = "hidden";
        }
    </script>
</head>
<body onload="runPaintInvalidationTest()">
    <div id="target" class="square">
        <div class="square" style="background-color: green"></div>
        <div class="square" style="background-color: red"></div>
    </div>
</body>
</html>
